<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>main</name>
    <title></title>
    <filename>main</filename>
  </compound>
  <compound kind="group">
    <name>globus_rsl_predicates</name>
    <title>RSL Predicates</title>
    <filename>group__globus__rsl__predicates.html</filename>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_is_relation</name>
      <anchorfile>group__globus__rsl__predicates.html</anchorfile>
      <anchor>g8cb64d9dad90688b20604a98c54af87c</anchor>
      <arglist>(globus_rsl_t *ast)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_is_boolean</name>
      <anchorfile>group__globus__rsl__predicates.html</anchorfile>
      <anchor>gc8cb1fe700ee99b02ab2646f0f49700d</anchor>
      <arglist>(globus_rsl_t *ast)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_is_relation_eq</name>
      <anchorfile>group__globus__rsl__predicates.html</anchorfile>
      <anchor>g0b69465579a354673e76f3d12a62dd59</anchor>
      <arglist>(globus_rsl_t *ast)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_is_relation_lessthan</name>
      <anchorfile>group__globus__rsl__predicates.html</anchorfile>
      <anchor>g6d4f461e0e7ad6cc902e2506445e1d41</anchor>
      <arglist>(globus_rsl_t *ast)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_is_relation_attribute_equal</name>
      <anchorfile>group__globus__rsl__predicates.html</anchorfile>
      <anchor>g5d63c4eead0f7f939bdbe9e1bc709a17</anchor>
      <arglist>(globus_rsl_t *ast, char *attribute)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_is_boolean_and</name>
      <anchorfile>group__globus__rsl__predicates.html</anchorfile>
      <anchor>gb260182b680877221bddf2f36dd6037c</anchor>
      <arglist>(globus_rsl_t *ast)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_is_boolean_or</name>
      <anchorfile>group__globus__rsl__predicates.html</anchorfile>
      <anchor>g80075c3e1cf1791bc80a22f1eb43bedb</anchor>
      <arglist>(globus_rsl_t *ast)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_is_boolean_multi</name>
      <anchorfile>group__globus__rsl__predicates.html</anchorfile>
      <anchor>gd37f78cfa5a478fba7814493182d74a4</anchor>
      <arglist>(globus_rsl_t *ast)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_value_is_literal</name>
      <anchorfile>group__globus__rsl__predicates.html</anchorfile>
      <anchor>ge70e728c98d9980eef20e151ccc60a72</anchor>
      <arglist>(globus_rsl_value_t *ast)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_value_is_sequence</name>
      <anchorfile>group__globus__rsl__predicates.html</anchorfile>
      <anchor>g7df7839956ea2d2320668a4db10208c9</anchor>
      <arglist>(globus_rsl_value_t *ast)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_value_is_variable</name>
      <anchorfile>group__globus__rsl__predicates.html</anchorfile>
      <anchor>g1ec62fa2ffeaaecaf0b2bb5d19b34735</anchor>
      <arglist>(globus_rsl_value_t *ast)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_value_is_concatenation</name>
      <anchorfile>group__globus__rsl__predicates.html</anchorfile>
      <anchor>gf5cf7c396e4e5506bbae5eb26194e9ad</anchor>
      <arglist>(globus_rsl_value_t *ast)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_rsl_constructors</name>
    <title>RSL Constructors</title>
    <filename>group__globus__rsl__constructors.html</filename>
    <member kind="function">
      <type>globus_rsl_t *</type>
      <name>globus_rsl_make_boolean</name>
      <anchorfile>group__globus__rsl__constructors.html</anchorfile>
      <anchor>gf61fe633ffc368f722a0cc401a184758</anchor>
      <arglist>(int operator, globus_list_t *children)</arglist>
    </member>
    <member kind="function">
      <type>globus_rsl_t *</type>
      <name>globus_rsl_make_relation</name>
      <anchorfile>group__globus__rsl__constructors.html</anchorfile>
      <anchor>g3bb5899966b10083ad5c4fc8c0955c62</anchor>
      <arglist>(int operator, char *attributename, globus_rsl_value_t *value_sequence)</arglist>
    </member>
    <member kind="function">
      <type>globus_rsl_value_t *</type>
      <name>globus_rsl_value_make_literal</name>
      <anchorfile>group__globus__rsl__constructors.html</anchorfile>
      <anchor>gdc08e5a656e8c68bb60e7f7dd0ec63fd</anchor>
      <arglist>(char *string)</arglist>
    </member>
    <member kind="function">
      <type>globus_rsl_value_t *</type>
      <name>globus_rsl_value_make_sequence</name>
      <anchorfile>group__globus__rsl__constructors.html</anchorfile>
      <anchor>g6fa22405655629f8f4d7c621502de169</anchor>
      <arglist>(globus_list_t *value_list)</arglist>
    </member>
    <member kind="function">
      <type>globus_rsl_value_t *</type>
      <name>globus_rsl_value_make_variable</name>
      <anchorfile>group__globus__rsl__constructors.html</anchorfile>
      <anchor>ge1d1b95c439ffa4caced47f7a6c14fe3</anchor>
      <arglist>(globus_rsl_value_t *sequence)</arglist>
    </member>
    <member kind="function">
      <type>globus_rsl_value_t *</type>
      <name>globus_rsl_value_make_concatenation</name>
      <anchorfile>group__globus__rsl__constructors.html</anchorfile>
      <anchor>g60c04f042eedb47c48816bafd5724599</anchor>
      <arglist>(globus_rsl_value_t *left_value, globus_rsl_value_t *right_value)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_rsl_memory</name>
    <title>RSL Memory Management</title>
    <filename>group__globus__rsl__memory.html</filename>
    <member kind="function">
      <type>globus_rsl_t *</type>
      <name>globus_rsl_copy_recursive</name>
      <anchorfile>group__globus__rsl__memory.html</anchorfile>
      <anchor>g9cd51838178f45744937214693f081d0</anchor>
      <arglist>(globus_rsl_t *ast_node)</arglist>
    </member>
    <member kind="function">
      <type>globus_rsl_value_t *</type>
      <name>globus_rsl_value_copy_recursive</name>
      <anchorfile>group__globus__rsl__memory.html</anchorfile>
      <anchor>g464ef3554320a959ed1bf5e8443fdae3</anchor>
      <arglist>(globus_rsl_value_t *globus_rsl_value_ptr)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_value_free</name>
      <anchorfile>group__globus__rsl__memory.html</anchorfile>
      <anchor>gd19e4fea37895ef9ba96bba47eeaf880</anchor>
      <arglist>(globus_rsl_value_t *val)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_free</name>
      <anchorfile>group__globus__rsl__memory.html</anchorfile>
      <anchor>g96dabd570f08d43f8b8a8f0305c52a7e</anchor>
      <arglist>(globus_rsl_t *ast_node)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_value_free_recursive</name>
      <anchorfile>group__globus__rsl__memory.html</anchorfile>
      <anchor>g1ade6f302ca264270a7d701988884ebc</anchor>
      <arglist>(globus_rsl_value_t *globus_rsl_value_ptr)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_free_recursive</name>
      <anchorfile>group__globus__rsl__memory.html</anchorfile>
      <anchor>gd0296392b0e32a156d7e485f180a1fdb</anchor>
      <arglist>(globus_rsl_t *ast_node)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_value_list_literal_replace</name>
      <anchorfile>group__globus__rsl__memory.html</anchorfile>
      <anchor>gb20c58c6fb3d9d725aad8226b6832a29</anchor>
      <arglist>(globus_list_t *value_list, char *string_value)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_value_eval</name>
      <anchorfile>group__globus__rsl__memory.html</anchorfile>
      <anchor>ga3950d5fdf86fc9d2ee66f7859ef9e74</anchor>
      <arglist>(globus_rsl_value_t *ast_node, globus_symboltable_t *symbol_table, char **string_value, int rsl_substitution_flag)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_eval</name>
      <anchorfile>group__globus__rsl__memory.html</anchorfile>
      <anchor>g16ccd7061eb1abae57ab7ea14765f6a4</anchor>
      <arglist>(globus_rsl_t *ast_node, globus_symboltable_t *symbol_table)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_rsl_accessor</name>
    <title>RSL Accessor Functions</title>
    <filename>group__globus__rsl__accessor.html</filename>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_boolean_get_operator</name>
      <anchorfile>group__globus__rsl__accessor.html</anchorfile>
      <anchor>g13841290696a3ededf02c9f6a86955c5</anchor>
      <arglist>(globus_rsl_t *ast_node)</arglist>
    </member>
    <member kind="function">
      <type>globus_list_t *</type>
      <name>globus_rsl_boolean_get_operand_list</name>
      <anchorfile>group__globus__rsl__accessor.html</anchorfile>
      <anchor>g94f2f35f56e267e453c2c82ec198ccf5</anchor>
      <arglist>(globus_rsl_t *ast_node)</arglist>
    </member>
    <member kind="function">
      <type>globus_list_t **</type>
      <name>globus_rsl_boolean_get_operand_list_ref</name>
      <anchorfile>group__globus__rsl__accessor.html</anchorfile>
      <anchor>g31349f7632d71687706c3e8b2e90b955</anchor>
      <arglist>(globus_rsl_t *boolean_node)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_rsl_relation_get_attribute</name>
      <anchorfile>group__globus__rsl__accessor.html</anchorfile>
      <anchor>g4b0bde0433940e984edc10861f49418d</anchor>
      <arglist>(globus_rsl_t *ast_node)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_relation_get_operator</name>
      <anchorfile>group__globus__rsl__accessor.html</anchorfile>
      <anchor>g230c3e1809be51aea8e0ecb400d211ab</anchor>
      <arglist>(globus_rsl_t *ast_node)</arglist>
    </member>
    <member kind="function">
      <type>globus_rsl_value_t *</type>
      <name>globus_rsl_relation_get_value_sequence</name>
      <anchorfile>group__globus__rsl__accessor.html</anchorfile>
      <anchor>g5393d07604e7ab6e8af9595cce3fedb5</anchor>
      <arglist>(globus_rsl_t *ast_node)</arglist>
    </member>
    <member kind="function">
      <type>globus_rsl_value_t *</type>
      <name>globus_rsl_relation_get_single_value</name>
      <anchorfile>group__globus__rsl__accessor.html</anchorfile>
      <anchor>g246ce83f212705c5c54c26223a68a8d8</anchor>
      <arglist>(globus_rsl_t *ast_node)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_rsl_value_literal_get_string</name>
      <anchorfile>group__globus__rsl__accessor.html</anchorfile>
      <anchor>ge5c788b29e8c5d8bd51b673f30b5ed30</anchor>
      <arglist>(globus_rsl_value_t *literal_node)</arglist>
    </member>
    <member kind="function">
      <type>globus_list_t *</type>
      <name>globus_rsl_value_sequence_get_value_list</name>
      <anchorfile>group__globus__rsl__accessor.html</anchorfile>
      <anchor>g4a0af66b727cbda9fcd916f28afabc8e</anchor>
      <arglist>(globus_rsl_value_t *sequence_node)</arglist>
    </member>
    <member kind="function">
      <type>globus_rsl_value_t *</type>
      <name>globus_rsl_value_variable_get_sequence</name>
      <anchorfile>group__globus__rsl__accessor.html</anchorfile>
      <anchor>gac0e3956076a773fa60d732a7d0564c2</anchor>
      <arglist>(globus_rsl_value_t *variable_node)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_rsl_value_variable_get_name</name>
      <anchorfile>group__globus__rsl__accessor.html</anchorfile>
      <anchor>g737b4475cdd61ed9a73dacc4dcc6869c</anchor>
      <arglist>(globus_rsl_value_t *variable_node)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_rsl_value_variable_get_default</name>
      <anchorfile>group__globus__rsl__accessor.html</anchorfile>
      <anchor>gd8f6b6e4c18ec2be29a62a7eacfc427f</anchor>
      <arglist>(globus_rsl_value_t *variable_node)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_value_variable_get_size</name>
      <anchorfile>group__globus__rsl__accessor.html</anchorfile>
      <anchor>g859565323decb1f5cd613da65865b94f</anchor>
      <arglist>(globus_rsl_value_t *variable_node)</arglist>
    </member>
    <member kind="function">
      <type>globus_rsl_value_t *</type>
      <name>globus_rsl_value_concatenation_get_left</name>
      <anchorfile>group__globus__rsl__accessor.html</anchorfile>
      <anchor>g29b9d46e73267d6dbbef5b1aeeb2ccad</anchor>
      <arglist>(globus_rsl_value_t *concatenation_node)</arglist>
    </member>
    <member kind="function">
      <type>globus_rsl_value_t *</type>
      <name>globus_rsl_value_concatenation_get_right</name>
      <anchorfile>group__globus__rsl__accessor.html</anchorfile>
      <anchor>gaea36ca574c18a7e7628da7e1c7ddc40</anchor>
      <arglist>(globus_rsl_value_t *concatenation_node)</arglist>
    </member>
    <member kind="function">
      <type>globus_list_t **</type>
      <name>globus_rsl_value_sequence_get_list_ref</name>
      <anchorfile>group__globus__rsl__accessor.html</anchorfile>
      <anchor>g3aeb316654def268b712972d5976b575</anchor>
      <arglist>(globus_rsl_value_t *sequence_node)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_list</name>
    <title>List Functions</title>
    <filename>group__globus__list.html</filename>
    <member kind="function">
      <type>globus_list_t *</type>
      <name>globus_list_copy_reverse</name>
      <anchorfile>group__globus__list.html</anchorfile>
      <anchor>g10584eb1f4c5b71f61c8a5260fdfee37</anchor>
      <arglist>(globus_list_t *orig)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_rsl_param</name>
    <title>RSL Value Accessors</title>
    <filename>group__globus__rsl__param.html</filename>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_value_concatenation_set_left</name>
      <anchorfile>group__globus__rsl__param.html</anchorfile>
      <anchor>g3f7307f173539c5c3025d92e5b1b7472</anchor>
      <arglist>(globus_rsl_value_t *concatenation_node, globus_rsl_value_t *new_left_node)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_value_concatenation_set_right</name>
      <anchorfile>group__globus__rsl__param.html</anchorfile>
      <anchor>g646c01eca31e43c33d16238d42dead8b</anchor>
      <arglist>(globus_rsl_value_t *concatenation_node, globus_rsl_value_t *new_right_node)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_value_list_param_get</name>
      <anchorfile>group__globus__rsl__param.html</anchorfile>
      <anchor>gbd919b9bb780e26d34f66b97ff580031</anchor>
      <arglist>(globus_list_t *ast_node_list, int required_type, char ***value, int *value_ctr)</arglist>
    </member>
    <member kind="function">
      <type>globus_list_t *</type>
      <name>globus_rsl_param_get_values</name>
      <anchorfile>group__globus__rsl__param.html</anchorfile>
      <anchor>g6938852823b980806cf590332d05e559</anchor>
      <arglist>(globus_rsl_t *ast_node, char *param)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_param_get</name>
      <anchorfile>group__globus__rsl__param.html</anchorfile>
      <anchor>g0ec493bdbd48497c62ac20b9d100df85</anchor>
      <arglist>(globus_rsl_t *ast_node, int param_type, char *param, char ***values)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_rsl_print</name>
    <title>RSL Display</title>
    <filename>group__globus__rsl__print.html</filename>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_value_print_recursive</name>
      <anchorfile>group__globus__rsl__print.html</anchorfile>
      <anchor>g2553f7ddea403ee75c4b82db4fea1a65</anchor>
      <arglist>(globus_rsl_value_t *globus_rsl_value_ptr)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_rsl_get_operator</name>
      <anchorfile>group__globus__rsl__print.html</anchorfile>
      <anchor>gbb4bf4f29ff4ac5de45d371514746399</anchor>
      <arglist>(int my_op)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_print_recursive</name>
      <anchorfile>group__globus__rsl__print.html</anchorfile>
      <anchor>g4d81769c6eef9256f305d7bc63ea5f3c</anchor>
      <arglist>(globus_rsl_t *ast_node)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_rsl_unparse</name>
      <anchorfile>group__globus__rsl__print.html</anchorfile>
      <anchor>gfbe3c1858e4d285b3c8f1b4a890b06a3</anchor>
      <arglist>(globus_rsl_t *rsl_spec)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_rsl_value_unparse</name>
      <anchorfile>group__globus__rsl__print.html</anchorfile>
      <anchor>g5d8e22277208dcba0d40ec0ce306c70f</anchor>
      <arglist>(globus_rsl_value_t *rsl_value)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_rsl_parse</name>
    <title>RSL Parsing</title>
    <filename>group__globus__rsl__parse.html</filename>
    <member kind="function">
      <type>globus_rsl_t *</type>
      <name>globus_rsl_parse</name>
      <anchorfile>group__globus__rsl__parse.html</anchorfile>
      <anchor>gf4a7ed3897c4bafa863906aadb813207</anchor>
      <arglist>(char *buf)</arglist>
    </member>
  </compound>
</tagfile>
